Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1348570 - RFE: Add documentation for max_speed on pulp yum import plugin
Summary: RFE: Add documentation for max_speed on pulp yum import plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.1.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-21 13:16 UTC by Calvin Hartwell
Modified: 2019-09-26 16:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 12:42:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1120837 0 unspecified CLOSED [RFE] Satellite 6 should have a means to limit synchronization speed 2021-06-10 10:48:36 UTC

Internal Links: 1120837

Description Calvin Hartwell 2016-06-21 13:16:08 UTC
Document URL: 

My current customer has an issue where Satellite 6 maxed out their bandwidth during the sync which caused a small outage on multiple customer facing websites. 

The requirement on the network bandwidth/speed/load should be clearly noted in the pre-reqs and the max_speed option should be managed by the katello-installer (capsule-installer in 6.2) quite clearly. The customer should be allowed to easily throttle the speed of pulp as required. 

Section Number and Name: 

Satellite 6.1 installation guide pre-reqs, section 1.4

Describe the issue: 

* Customer needs to know there will be a pre-req of high bandwidth utilisation by the satellite 6 server during the initial sync. 

* Customer should be able to throttle the bandwidth of the satellite 6 server after/during the install by using the max_speed option on the yum

Suggestions for improvement: 

* offer the max_speed speed as an option in the 6.1/6.2 manuals. Clearly state the pre-req on bandwidth utilisation. 

Additional information:

Comment 2 Calvin Hartwell 2016-06-21 13:18:33 UTC
*** Also note: the pulp documentation on the max_speed option within pulp is inconsistent. Some sources state that it is just an integer (but not what that integer is), some sources state it is in bytes per second (github repo for pulp) and some sources state it is in kbps (pulp manuals). 

This needs to be ironed out and confirmed with the pulp developers before going into the manual.

Comment 3 Rich Jerrido 2016-06-21 13:46:54 UTC
This KCS https://access.redhat.com/articles/2387381 covers a decent portion of this setup.

Comment 4 Andrew Dahms 2016-08-01 23:15:43 UTC
Assigning to Chris for review.

Comment 14 Sergei Petrosian 2018-02-19 15:58:57 UTC
Changes for Satellite 6.2 are now live on the customer portal:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/content_management_guide/importing_red_hat_content#limiting_synchronization_speed

Thank you

Comment 20 Sergei Petrosian 2018-02-20 12:42:20 UTC
Hello,

These changes are now live on the customer portal.

Thank you


Note You need to log in before you can comment on or make changes to this bug.